CREATE PROCEDURE dbo.updateemployee 
         @emp_id  int,
         @manager_id_new  int,
         @manager_id_old  int,
         @emp_fname_new   varchar(20),
         @emp_fname_old   varchar(20),
         @emp_lname_new   varchar(20),
         @emp_lname_old   varchar(20),
         @dept_id_new int,
         @dept_id_old int,
         @street_new  varchar(40),
         @street_old  varchar(40),
         @city_new    varchar(20),
         @city_old    varchar(20),
         @state_new   varchar(4),
         @state_old   varchar(4),
         @zip_code_new    varchar(9),
         @zip_code_old    varchar(9),
         @phone_new   varchar(10),
         @phone_old   varchar(10),
         @status_new  char(1),
         @status_old char(1),
         @ss_number_new   varchar(11),
         @ss_number_old   varchar(11),
         @salary_new  numeric(20, 3),
         @salary_old  numeric(20, 3),
         @start_date_new  datetime,
         @start_date_old  datetime,
         @termination_date_new    datetime,
         @termination_date_old    datetime,
         @birth_date_new  datetime,
         @birth_date_old  datetime,
         @bene_health_ins_new char(1),
         @bene_health_ins_old char(1),
         @bene_life_ins_new   char(1),
         @bene_life_ins_old   char(1),
         @bene_day_care_new   char(1),
         @bene_day_care_old   char(1),
         @sex_new char(1),
         @sex_old char(1)
AS 
    BEGIN 
      update employee set 
         manager_id = @manager_id_new,
         emp_fname = @emp_fname_new,
         emp_lname = @emp_lname_new,
         dept_id = @dept_id_new,
         street = @street_new,
         city = @city_new,
         state = @state_new,
         zip_code = @zip_code_new,
         phone = @phone_new,
         status = @status_new,
         ss_number = @ss_number_new,
         salary = @salary_new,
         start_date = @start_date_new,
         termination_date = @termination_date_new,
         birth_date = @birth_date_new,
         bene_health_ins = @bene_health_ins_new,
         bene_life_ins = @bene_life_ins_new,
         bene_day_care = @bene_day_care_new,
         sex = @sex_new
      WHERE
         emp_id = @emp_id AND
         manager_id = @manager_id_old AND
         emp_fname = @emp_fname_old AND
         emp_lname = @emp_lname_old AND
         dept_id = @dept_id_old AND
         street = @street_old AND
         city = @city_old AND
         state = @state_old AND
         zip_code = @zip_code_old AND 
         phone = @phone_old AND
         status = @status_old AND
         ss_number = @ss_number_old AND
         salary = @salary_old AND
         start_date = @start_date_old AND
         termination_date = @termination_date_old AND
         birth_date = @birth_date_old AND
         bene_health_ins = @bene_health_ins_old AND
         bene_life_ins = @bene_life_ins_old AND
         bene_day_care = @bene_day_care_old AND
         sex = @sex_old
    END
;